<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="1.0">
<xsl:output method="html" omit-xml-declaration="yes" indent="no"/>
<!-- html output method to make br tags come out as <br> -->

<?startSampleFile ?>
<!-- xq343.xsl: converts xq338.xml into xq344.html -->

<xsl:template match="wine">

  <xsl:variable name="bodyTextSize">10pt</xsl:variable>

  <xsl:apply-templates select="winery"/>
  <i><font size="{$bodyTextSize}">
    <xsl:apply-templates select="product"/>
  </font></i><br/>
  <font size="{$bodyTextSize}"><xsl:apply-templates select="year"/>
  </font><br/>
  <font size="{$bodyTextSize}"><xsl:apply-templates select="price"/>
  </font><br/>

</xsl:template>


<xsl:template match="winery">

  <xsl:variable name="bodyTextSize">12pt</xsl:variable>

  <b><font size="{$bodyTextSize}"><xsl:apply-templates/>
  <xsl:text> </xsl:text>
  <xsl:value-of select="../@grape"/></font></b><br/>

</xsl:template>


<?endSampleFile ?>
</xsl:stylesheet>
