<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="1.0">
<xsl:output method="xml" omit-xml-declaration="yes" indent="no"/>
<?startSampleFile ?>
<!-- xq342.xsl: converts xq338.xml into xq339.html -->

<xsl:variable name="baseFontSize" select="8"/>

<xsl:variable name="bodyTextSize" 
     select="concat($baseFontSize+2,'pt')"/>

<?endSampleFile ?>

<xsl:template match="winery">
  <b><font size="{$bodyTextSize}"><xsl:apply-templates/>
  <xsl:text> </xsl:text>
  <xsl:value-of select="../@grape"/></font></b><br/>
</xsl:template>

<xsl:template match="product">
  <i><font size="{$bodyTextSize}">
    <xsl:apply-templates/></font></i><br/>
</xsl:template>

<xsl:template match="year | price">
  <font size="{$bodyTextSize}"><xsl:apply-templates/></font><br/>
</xsl:template>

</xsl:stylesheet>
