<?startSampleFile ?>
<!-- xq346.xsl: converts xq345.xml into xq478.xml -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  
version="1.0">
<xsl:output omit-xml-declaration="yes"/>

  <xsl:variable name="fieldWidth">12</xsl:variable>

  <xsl:template match="color">
    <xsl:variable name="valueLength" 
         select="string-length(.)"/>
    <xsl:variable name="padding" 
         select="$fieldWidth - $valueLength"/>

    <xsl:value-of 
         select="substring('                  ',1,$padding)"/>
    <xsl:value-of select="."/>

  </xsl:template>

</xsl:stylesheet>
<?endSampleFile ?>
